---@meta

---@class ABP_Interactable_PowerDrill_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field ScrewInSFX UAudioComponent
---@field ScrewOutSFX UAudioComponent
---@field DrillInSFX UAudioComponent
---@field DrillOutSFX UAudioComponent
---@field CurrentTargetScrew ABP_ScrewHole_C
local ABP_Interactable_PowerDrill_C = {}

function ABP_Interactable_PowerDrill_C:TryStopScrewing() end
function ABP_Interactable_PowerDrill_C:TryStartScrewOut() end
function ABP_Interactable_PowerDrill_C:TryStartScrewIn() end
---@param ScrewAmount double
function ABP_Interactable_PowerDrill_C:UpdateDrillOutScrewAmount(ScrewAmount) end
---@param ScrewAmount double
function ABP_Interactable_PowerDrill_C:UpdateDrillInScrewAmount(ScrewAmount) end
function ABP_Interactable_PowerDrill_C:StopDrill_Out_Only() end
function ABP_Interactable_PowerDrill_C:StartDrill_Out_Only() end
function ABP_Interactable_PowerDrill_C:StartDrillOutWrenchSFX() end
function ABP_Interactable_PowerDrill_C:StartDrillInWrenchSFX() end
function ABP_Interactable_PowerDrill_C:StopDrill_In_Only() end
function ABP_Interactable_PowerDrill_C:StartDrill_In_Only() end
function ABP_Interactable_PowerDrill_C:StopDrillOutWrenchSFX() end
---@param ScrewAmount double
function ABP_Interactable_PowerDrill_C:StopDrillInWrenchSFX(ScrewAmount) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_5(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_4(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_3(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerDrill_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyEnd_38F2416C41572FA17997F6A70EF23A83(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyBegin_38F2416C41572FA17997F6A70EF23A83(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnInterrupted_38F2416C41572FA17997F6A70EF23A83(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnBlendOut_38F2416C41572FA17997F6A70EF23A83(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnCompleted_38F2416C41572FA17997F6A70EF23A83(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyEnd_821D042F4D8CCE7A2BAEDEA3727E0F9D(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyBegin_821D042F4D8CCE7A2BAEDEA3727E0F9D(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnInterrupted_821D042F4D8CCE7A2BAEDEA3727E0F9D(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnBlendOut_821D042F4D8CCE7A2BAEDEA3727E0F9D(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnCompleted_821D042F4D8CCE7A2BAEDEA3727E0F9D(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyEnd_98D3D3C2445C1650358140916B2ADEED(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyBegin_98D3D3C2445C1650358140916B2ADEED(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnInterrupted_98D3D3C2445C1650358140916B2ADEED(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnBlendOut_98D3D3C2445C1650358140916B2ADEED(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnCompleted_98D3D3C2445C1650358140916B2ADEED(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyEnd_DE573ED5498E5C3C4F594089AA04EFBB(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnNotifyBegin_DE573ED5498E5C3C4F594089AA04EFBB(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnInterrupted_DE573ED5498E5C3C4F594089AA04EFBB(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnBlendOut_DE573ED5498E5C3C4F594089AA04EFBB(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_PowerDrill_C:OnCompleted_DE573ED5498E5C3C4F594089AA04EFBB(NotifyName) end
function ABP_Interactable_PowerDrill_C:ReceiveDestroyed() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_PowerDrill_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_PowerDrill_C:CallBackSecondaryFire(Player, Stop) end
---@param EntryPoint int32
function ABP_Interactable_PowerDrill_C:ExecuteUbergraph_BP_Interactable_PowerDrill(EntryPoint) end


